<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <parent>
        <groupId>org.broadleafcommerce</groupId>
        <artifactId>broadleaf-boot-starter-parent</artifactId>
        <version>6.0.3-GA</version>
        <relativePath />
    </parent>

    <modelVersion>4.0.0</modelVersion>
    <groupId>com.mycompany-community</groupId>
    <artifactId>boot-community-demo</artifactId>
    <version>1.0.0-SNAPSHOT</version>
    <packaging>pom</packaging>
    <name>Broadleaf Spring Boot Community Demo</name>

    <repositories>
        <repository>
            <id>public snapshots</id>
            <name>public snapshots</name>
            <url>http://nexus.broadleafcommerce.org/nexus/content/groups/community-snapshots/</url>
        </repository>
        <repository>
            <id>public releases</id>
            <name>public releases</name>
            <url>http://nexus.broadleafcommerce.org/nexus/content/groups/community-releases/</url>
        </repository>
    </repositories>

    <properties>
        <debug.args>-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=n,address=${debug.port}</debug.args>
        <boot.jvm.memory>-Xmx1536M</boot.jvm.memory>
        <boot.jvm.args>${boot.jvm.memory} ${debug.args}</boot.jvm.args>

        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.uri>${project.baseUri}</project.uri>
    </properties>

    <build>
        <pluginManagement>
            <plugins>
                <plugin>
                    <groupId>org.springframework.boot</groupId>
                    <artifactId>spring-boot-maven-plugin</artifactId>
                    <configuration>
                        <jvmArguments>${boot.jvm.args}</jvmArguments>
                    </configuration>
                </plugin>
            </plugins>
        </pluginManagement>
        <plugins>
            <plugin>
                <groupId>org.zeroturnaround</groupId>
                <artifactId>jrebel-maven-plugin</artifactId>
                <version>1.1.7</version>
                <executions>
                    <execution>
                        <id>generate-rebel-xml</id>
                        <phase>process-resources</phase>
                        <goals>
                            <goal>generate</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

    <profiles>
        <profile>
            <id>jrebel</id>
            <properties>
                <boot.jvm.args>${boot.jvm.memory} ${debug.args} ${jrebel.agent.args}</boot.jvm.args>
            </properties>
        </profile>
    </profiles>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>com.mycompany-community</groupId>
                <artifactId>boot-community-demo-core</artifactId>
                <version>${project.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <modules>
        <module>core</module>
        <module>site</module>
        <module>admin</module>
        <module>api</module>
    </modules>
</project>
